/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { AccordionItem, useForwardProps, } from "radix-vue";
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { accordionTheme } from "./accordionTheme";
import { useAccordionStoreOrThrow } from "./useAccordionStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const restProps = computed(() => {
    const { class: _, ...rest } = props;
    return rest;
});
const forwardedProps = useForwardProps(restProps);
const { panel } = accordionTheme;
const { flush } = useAccordionStoreOrThrow();
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.AccordionItem;
    /** @type { [typeof __VLS_components.AccordionItem, typeof __VLS_components.AccordionItem, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({ ...(__VLS_ctx.forwardedProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.flush ? __VLS_ctx.panel.flush.on : __VLS_ctx.panel.flush.off, props.class))) }, }));
    const __VLS_2 = __VLS_1({ ...(__VLS_ctx.forwardedProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.flush ? __VLS_ctx.panel.flush.on : __VLS_ctx.panel.flush.off, props.class))) }, }, ...__VLS_functionalComponentArgsRest(__VLS_1));
    var __VLS_6 = {};
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            AccordionItem: AccordionItem,
            cn: cn,
            forwardedProps: forwardedProps,
            panel: panel,
            flush: flush,
        };
    },
    __typeProps: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
});
export default {};
;
