/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { alertTheme } from "./alertTheme";
import { useProvideAlert } from "./useAlert";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    color: "primary",
    class: "",
});
const restProps = computed(() => {
    const { class: _, color, ...restProps } = props;
    return restProps;
});
const changedColor = computed(() => {
    return props.color;
});
useProvideAlert(changedColor);
const __VLS_withDefaultsArg = (function (t) { return t; })({
    color: "primary",
    class: "",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.div, __VLS_intrinsicElements.div)({ ...(__VLS_ctx.restProps), ref: (""), role: ("alert"), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.alertTheme.root.base, props.withBg
                ? __VLS_ctx.alertTheme.colorWithBg[__VLS_ctx.color]
                : __VLS_ctx.alertTheme.colorWithOutBg[__VLS_ctx.color], props.dismiss ? 'hidden' : 'flex', props.class))) }, });
    // @ts-ignore navigation for `const  = ref()`
    __VLS_ctx[""];
    var __VLS_0 = {};
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            alertTheme: alertTheme,
            restProps: restProps,
        };
    },
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
    props: {},
});
export default {};
;
