/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { alertTheme } from "./alertTheme";
import { useAlert } from "./useAlert";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const { link } = alertTheme;
const { color } = useAlert();
const emit = defineEmits(["dismiss"]);
const handleDismiss = () => {
    emit("dismiss");
};
const restProps = computed(() => {
    const { class: _, ...rest } = props;
    return rest;
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    emits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.button, __VLS_intrinsicElements.button)({ ...{ onClick: (__VLS_ctx.handleDismiss) }, ...(__VLS_ctx.restProps), ref: ("HTMLButtonElement"), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.link.color[__VLS_ctx.color], props.class))) }, });
    // @ts-ignore navigation for `const HTMLButtonElement = ref()`
    __VLS_ctx.HTMLButtonElement;
    var __VLS_0 = {};
    __VLS_elementAsFunction(__VLS_intrinsicElements.svg, __VLS_intrinsicElements.svg)({ xmlns: ("http://www.w3.org/2000/svg"), width: ("20"), height: ("20"), fill: ("currentColor"), viewBox: ("0 0 256 256"), });
    __VLS_elementAsFunction(__VLS_intrinsicElements.path, __VLS_intrinsicElements.path)({ d: ("M205.66,194.34a8,8,0,0,1-11.32,11.32L128,139.31,61.66,205.66a8,8,0,0,1-11.32-11.32L116.69,128,50.34,61.66A8,8,0,0,1,61.66,50.34L128,116.69l66.34-66.35a8,8,0,0,1,11.32,11.32L139.31,128Z"), });
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {
        "HTMLButtonElement": __VLS_nativeElements['button'],
    };
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            link: link,
            color: color,
            handleDismiss: handleDismiss,
            restProps: restProps,
        };
    },
    emits: {},
    __typeProps: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    emits: {},
    __typeProps: {},
});
export default {};
;
