/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed, ref } from "vue";
import { cn } from "../../utils/cn";
import { alertTheme } from "./alertTheme";
import { useAlert } from "./useAlert";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    href: "#",
});
const restProps = computed(() => {
    const { class: _, ...rest } = props;
    return rest;
});
const { color } = useAlert();
// get the ref
const alertLinkRef = ref();
const __VLS_withDefaultsArg = (function (t) { return t; })({
    href: "#",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.a, __VLS_intrinsicElements.a)({ ...(__VLS_ctx.restProps), ref: ("alertLinkRef"), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.alertTheme.link.base, __VLS_ctx.alertTheme.link.color[__VLS_ctx.color], props.class))) }, });
    // @ts-ignore navigation for `const alertLinkRef = ref()`
    __VLS_ctx.alertLinkRef;
    var __VLS_0 = {};
    __VLS_elementAsFunction(__VLS_intrinsicElements.svg, __VLS_intrinsicElements.svg)({ xmlns: ("http://www.w3.org/2000/svg"), width: ("20"), height: ("20"), fill: ("currentColor"), viewBox: ("0 0 256 256"), });
    __VLS_elementAsFunction(__VLS_intrinsicElements.path)({ d: ("M200,64V168a8,8,0,0,1-16,0V83.31L69.66,197.66a8,8,0,0,1-11.32-11.32L172.69,72H88a8,8,0,0,1,0-16H192A8,8,0,0,1,200,64Z"), });
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {
        "alertLinkRef": __VLS_nativeElements['a'],
    };
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            alertTheme: alertTheme,
            restProps: restProps,
            color: color,
            alertLinkRef: alertLinkRef,
        };
    },
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
    props: {},
});
export default {};
;
