/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { buttonVariants, } from "./buttonTheme";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    size: "md",
    color: "primary",
    radius: "default",
});
const restProps = computed(() => {
    const { class: _, color, variant, shape, position, size, ...rest } = props;
    return rest;
});
const __VLS_withDefaultsArg = (function (t) { return t; })({
    size: "md",
    color: "primary",
    radius: "default",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.button, __VLS_intrinsicElements.button)({ ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.buttonVariants({ size: __VLS_ctx.size, color: __VLS_ctx.color, variant: __VLS_ctx.variant, shape: __VLS_ctx.shape, radius: __VLS_ctx.radius, position: __VLS_ctx.position }), props.class))) }, });
    var __VLS_0 = {};
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            buttonVariants: buttonVariants,
            restProps: restProps,
        };
    },
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
    props: {},
});
export default {};
;
