/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { CalendarCellTrigger, useForwardProps, } from "radix-vue";
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { useCalender } from "./useCalenderStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const restProps = computed(() => {
    const { class: _, ...rest } = props;
    return rest;
});
const forwardedProps = useForwardProps(restProps);
const { dayShape } = useCalender();
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.CalendarCellTrigger;
    /** @type { [typeof __VLS_components.CalendarCellTrigger, typeof __VLS_components.CalendarCellTrigger, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({ ...{ class: ((__VLS_ctx.cn('inline-flex h-10 w-10 items-center justify-center whitespace-nowrap p-0 text-body-4 font-medium text-metal-900 ring-offset-metal-50 transition-colors hover:bg-metal-50 focus-visible:outline-none focus-visible:ring focus-visible:ring-metal-50 focus-visible:ring-offset-1 disabled:pointer-events-none disabled:opacity-50 aria-selected:opacity-100 dark:text-white dark:hover:bg-metal-800 dark:aria-selected:text-metal-900', __VLS_ctx.dayShape === 'circle' ? 'rounded-full' : 'rounded-lg', 
            //initial select
            '[&[data-today]:not([data-selected])]:bg-metal-100 dark:[&[data-today]:not([data-selected])]:bg-metal-800', 
            // Selected
            'data-[selected]:bg-primary-500 data-[selected]:text-white data-[selected]:opacity-100 data-[selected]:focus:bg-primary-500', 
            // Disabled
            'data-[disabled]:text-metal-400 data-[disabled]:opacity-50', 
            // Unavailable
            'data-[unavailable]:text-red-400 data-[unavailable]:line-through', 
            // Outside months
            'data-[outside-view]:text-metal-400 data-[outside-view]:opacity-50 [&[data-outside-view][data-selected]]:text-metal-400 [&[data-outside-view][data-selected]]:opacity-30', props.class))) }, ...(__VLS_ctx.forwardedProps), }));
    const __VLS_2 = __VLS_1({ ...{ class: ((__VLS_ctx.cn('inline-flex h-10 w-10 items-center justify-center whitespace-nowrap p-0 text-body-4 font-medium text-metal-900 ring-offset-metal-50 transition-colors hover:bg-metal-50 focus-visible:outline-none focus-visible:ring focus-visible:ring-metal-50 focus-visible:ring-offset-1 disabled:pointer-events-none disabled:opacity-50 aria-selected:opacity-100 dark:text-white dark:hover:bg-metal-800 dark:aria-selected:text-metal-900', __VLS_ctx.dayShape === 'circle' ? 'rounded-full' : 'rounded-lg', 
            //initial select
            '[&[data-today]:not([data-selected])]:bg-metal-100 dark:[&[data-today]:not([data-selected])]:bg-metal-800', 
            // Selected
            'data-[selected]:bg-primary-500 data-[selected]:text-white data-[selected]:opacity-100 data-[selected]:focus:bg-primary-500', 
            // Disabled
            'data-[disabled]:text-metal-400 data-[disabled]:opacity-50', 
            // Unavailable
            'data-[unavailable]:text-red-400 data-[unavailable]:line-through', 
            // Outside months
            'data-[outside-view]:text-metal-400 data-[outside-view]:opacity-50 [&[data-outside-view][data-selected]]:text-metal-400 [&[data-outside-view][data-selected]]:opacity-30', props.class))) }, ...(__VLS_ctx.forwardedProps), }, ...__VLS_functionalComponentArgsRest(__VLS_1));
    var __VLS_6 = {};
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            CalendarCellTrigger: CalendarCellTrigger,
            cn: cn,
            forwardedProps: forwardedProps,
            dayShape: dayShape,
        };
    },
    __typeProps: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
});
export default {};
;
