/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { dividerTheme, } from "./theme";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const { color = "secondary", size = "md", variant = "start" } = props;
const restProps = computed(() => {
    const { class: _, color, size, variant, ...rest } = props;
    return rest;
});
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    if (!__VLS_ctx.$slots.default) {
        __VLS_elementAsFunction(__VLS_intrinsicElements.hr)({ ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.dividerTheme.withOutChildren.base, __VLS_ctx.dividerTheme.withOutChildren.size[__VLS_ctx.size], __VLS_ctx.dividerTheme.withOutChildren.color[__VLS_ctx.color], props.class))) }, });
    }
    else {
        __VLS_elementAsFunction(__VLS_intrinsicElements.div, __VLS_intrinsicElements.div)({ ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.dividerTheme.withChildren.base, __VLS_ctx.dividerTheme.withChildren.textColor[__VLS_ctx.color], __VLS_ctx.dividerTheme.withChildren.variant[__VLS_ctx.variant], __VLS_ctx.dividerTheme.withChildren.color[__VLS_ctx.variant][__VLS_ctx.color], __VLS_ctx.dividerTheme.withChildren.size[__VLS_ctx.variant][__VLS_ctx.size], props.class))) }, });
        var __VLS_0 = {};
    }
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            dividerTheme: dividerTheme,
            color: color,
            size: size,
            variant: variant,
            restProps: restProps,
        };
    },
    __typeProps: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
});
export default {};
;
