/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { useForwardPropsEmits, } from "radix-vue";
import { DrawerContent, DrawerPortal } from "vaul-vue";
import { cn } from "../../utils/cn";
import DrawerOverlay from "./DrawerOverlay.vue";
import { keepDrawerTheme } from "./drawerTheme";
import { useDrawer } from "./useDrawerStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const emits = defineEmits();
const forwardProps = useForwardPropsEmits(props, emits);
const { position } = useDrawer();
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.DrawerPortal;
    /** @type { [typeof __VLS_components.DrawerPortal, typeof __VLS_components.DrawerPortal, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({}));
    const __VLS_2 = __VLS_1({}, ...__VLS_functionalComponentArgsRest(__VLS_1));
    // @ts-ignore
    [DrawerOverlay,];
    // @ts-ignore
    const __VLS_6 = __VLS_asFunctionalComponent(DrawerOverlay, new DrawerOverlay({}));
    const __VLS_7 = __VLS_6({}, ...__VLS_functionalComponentArgsRest(__VLS_6));
    const __VLS_11 = __VLS_resolvedLocalAndGlobalComponents.DrawerContent;
    /** @type { [typeof __VLS_components.DrawerContent, typeof __VLS_components.DrawerContent, ] } */
    // @ts-ignore
    const __VLS_12 = __VLS_asFunctionalComponent(__VLS_11, new __VLS_11({ ...(__VLS_ctx.forwardProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.keepDrawerTheme.content.base, __VLS_ctx.keepDrawerTheme.content.position[__VLS_ctx.position], props.class))) }, }));
    const __VLS_13 = __VLS_12({ ...(__VLS_ctx.forwardProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.keepDrawerTheme.content.base, __VLS_ctx.keepDrawerTheme.content.position[__VLS_ctx.position], props.class))) }, }, ...__VLS_functionalComponentArgsRest(__VLS_12));
    var __VLS_17 = {};
    __VLS_nonNullable(__VLS_16.slots).default;
    const __VLS_16 = __VLS_pickFunctionalComponentCtx(__VLS_11, __VLS_13);
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            DrawerContent: DrawerContent,
            DrawerPortal: DrawerPortal,
            cn: cn,
            DrawerOverlay: DrawerOverlay,
            keepDrawerTheme: keepDrawerTheme,
            forwardProps: forwardProps,
            position: position,
        };
    },
    __typeEmits: {},
    __typeProps: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
});
export default {};
;
