/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { DropdownMenuContent, DropdownMenuPortal, useForwardPropsEmits, } from "radix-vue";
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { dropdownTheme } from "./dropdownTheme";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    sideOffset: 4,
    class: "",
});
const emits = defineEmits();
const restProps = computed(() => {
    const { class: _, showArrow, ...rest } = props;
    return rest;
});
const forwarded = useForwardPropsEmits(restProps, emits);
const __VLS_withDefaultsArg = (function (t) { return t; })({
    sideOffset: 4,
    class: "",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.DropdownMenuPortal;
    /** @type { [typeof __VLS_components.DropdownMenuPortal, typeof __VLS_components.DropdownMenuPortal, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({}));
    const __VLS_2 = __VLS_1({}, ...__VLS_functionalComponentArgsRest(__VLS_1));
    const __VLS_6 = __VLS_resolvedLocalAndGlobalComponents.DropdownMenuContent;
    /** @type { [typeof __VLS_components.DropdownMenuContent, typeof __VLS_components.DropdownMenuContent, ] } */
    // @ts-ignore
    const __VLS_7 = __VLS_asFunctionalComponent(__VLS_6, new __VLS_6({ ...(__VLS_ctx.forwarded), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.dropdownTheme.content, props.class))) }, }));
    const __VLS_8 = __VLS_7({ ...(__VLS_ctx.forwarded), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.dropdownTheme.content, props.class))) }, }, ...__VLS_functionalComponentArgsRest(__VLS_7));
    var __VLS_12 = {};
    __VLS_nonNullable(__VLS_11.slots).default;
    const __VLS_11 = __VLS_pickFunctionalComponentCtx(__VLS_6, __VLS_8);
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            DropdownMenuContent: DropdownMenuContent,
            DropdownMenuPortal: DropdownMenuPortal,
            cn: cn,
            dropdownTheme: dropdownTheme,
            forwarded: forwarded,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
;
