/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { DialogContent, DialogPortal, useForwardPropsEmits, } from "radix-vue";
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { notificationTheme, } from "./notificationTheme";
import { useNotification } from "./useNotification";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const restProps = computed(() => {
    const { class: _, ...rest } = props;
    return rest;
});
const emits = defineEmits();
const forwardPropsAndEmit = useForwardPropsEmits(restProps, emits);
const { position } = useNotification();
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.DialogPortal;
    /** @type { [typeof __VLS_components.DialogPortal, typeof __VLS_components.DialogPortal, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({}));
    const __VLS_2 = __VLS_1({}, ...__VLS_functionalComponentArgsRest(__VLS_1));
    const __VLS_6 = __VLS_resolvedLocalAndGlobalComponents.DialogContent;
    /** @type { [typeof __VLS_components.DialogContent, typeof __VLS_components.DialogContent, ] } */
    // @ts-ignore
    const __VLS_7 = __VLS_asFunctionalComponent(__VLS_6, new __VLS_6({ ...(__VLS_ctx.forwardPropsAndEmit), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.notificationTheme.base, __VLS_ctx.notificationTheme.position[__VLS_ctx.position], 'space-y-1.5', props.class))) }, }));
    const __VLS_8 = __VLS_7({ ...(__VLS_ctx.forwardPropsAndEmit), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.notificationTheme.base, __VLS_ctx.notificationTheme.position[__VLS_ctx.position], 'space-y-1.5', props.class))) }, }, ...__VLS_functionalComponentArgsRest(__VLS_7));
    var __VLS_12 = {};
    __VLS_nonNullable(__VLS_11.slots).default;
    const __VLS_11 = __VLS_pickFunctionalComponentCtx(__VLS_6, __VLS_8);
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            DialogContent: DialogContent,
            DialogPortal: DialogPortal,
            cn: cn,
            notificationTheme: notificationTheme,
            forwardPropsAndEmit: forwardPropsAndEmit,
            position: position,
        };
    },
    __typeEmits: {},
    __typeProps: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
});
export default {};
;
