/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { paginationTheme } from "./paginationTheme";
import { useProvidePagination } from "./usePaginationStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
const { root } = paginationTheme;
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    shape: "rounded",
    class: "",
});
const restProps = computed(() => {
    const { class: _, shape, ...rest } = props;
    return rest;
});
const updatedValue = computed(() => props.shape);
useProvidePagination(updatedValue);
const __VLS_withDefaultsArg = (function (t) { return t; })({
    shape: "rounded",
    class: "",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.div, __VLS_intrinsicElements.div)({ ...(__VLS_ctx.restProps), "aria-label": ("pagination"), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.root.base, props.class))) }, });
    var __VLS_0 = {};
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            root: root,
            restProps: restProps,
        };
    },
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
    props: {},
});
export default {};
;
