/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { paginationTheme } from "./paginationTheme";
import { usePagination } from "./usePaginationStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    class: "",
    active: false,
});
const restProps = computed(() => {
    const { class: _, active, asChild, ...rest } = props;
    return rest;
});
const { shape } = usePagination();
const { item } = paginationTheme;
const __VLS_withDefaultsArg = (function (t) { return t; })({
    class: "",
    active: false,
});
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    if (__VLS_ctx.asChild) {
        var __VLS_0 = {
            ...(__VLS_ctx.restProps),
        };
    }
    else {
        __VLS_elementAsFunction(__VLS_intrinsicElements.li, __VLS_intrinsicElements.li)({});
        __VLS_elementAsFunction(__VLS_intrinsicElements.button, __VLS_intrinsicElements.button)({ ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.item.base, __VLS_ctx.item.active[__VLS_ctx.active ? 'on' : 'off'], __VLS_ctx.item.shape[__VLS_ctx.shape], props.class))) }, });
        var __VLS_1 = {};
    }
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            restProps: restProps,
            shape: shape,
            item: item,
        };
    },
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
    props: {},
});
export default {};
;
