/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { progressTheme } from "./progressTheme";
import { useProgressStore } from "./useProgressStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    strokeWidth: 3.5,
    strokeColor: "",
    class: "",
});
const restProps = computed(() => {
    const { class: _, strokeColor, strokeWidth, ...rest } = props;
    return rest;
});
const { circle } = progressTheme;
const { progressBar } = useProgressStore();
const __VLS_withDefaultsArg = (function (t) { return t; })({
    strokeWidth: 3.5,
    strokeColor: "",
    class: "",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.svg, __VLS_intrinsicElements.svg)({ ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.circle.svg.base)) }, viewBox: ("0 0 36 36"), xmlns: ("http://www.w3.org/2000/svg"), });
    __VLS_elementAsFunction(__VLS_intrinsicElements.circle)({ cx: ((18)), cy: ((18)), r: ((16)), fill: ("none"), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.circle.svg.circle, props.class))) }, "stroke-width": ((props.strokeWidth)), });
    __VLS_elementAsFunction(__VLS_intrinsicElements.g, __VLS_intrinsicElements.g)({ ...{ class: ((__VLS_ctx.circle.svg.g)) }, });
    __VLS_elementAsFunction(__VLS_intrinsicElements.circle)({ cx: ((18)), cy: ((18)), r: ((16)), fill: ("none"), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.circle.svg.gCircle, props.strokeColor))) }, "stroke-width": ((props.strokeWidth + 0.2)), "stroke-dasharray": ((100)), "stroke-dashoffset": ((100 - __VLS_ctx.progressBar)), });
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            restProps: restProps,
            circle: circle,
            progressBar: progressBar,
        };
    },
    __typeProps: {},
    props: {},
});
export default (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
    props: {},
});
;
