/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { progressTheme } from "./progressTheme";
import { useProvideProgressStore } from "./useProgressStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    progress: 0,
    class: "",
});
const restProps = computed(() => {
    const { class: _, progress, ...rest } = props;
    return rest;
});
const updatedProgressValue = computed(() => props.progress);
const { line } = progressTheme;
//pass the store
useProvideProgressStore(updatedProgressValue);
const __VLS_withDefaultsArg = (function (t) { return t; })({
    progress: 0,
    class: "",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.div, __VLS_intrinsicElements.div)({ ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.line.root, props.class))) }, });
    var __VLS_0 = {};
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            restProps: restProps,
            line: line,
        };
    },
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
    props: {},
});
export default {};
;
