/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { radioTheme } from "./radioTheme";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    class: "",
    variant: "rounded",
    id: "",
    name: "",
    disabled: false,
});
const restProps = computed(() => {
    const { class: _, variant, disabled, checked, name, value, id, type, ...rest } = props;
    return rest;
});
const modelValue = defineModel("modelValue");
const __VLS_withDefaultsArg = (function (t) { return t; })({
    class: "",
    variant: "rounded",
    id: "",
    name: "",
    disabled: false,
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
const __VLS_defaults = {};
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.input)({ ...{ onChange: (...[$event]) => {
                __VLS_ctx.modelValue = __VLS_ctx.value;
            } }, id: ((__VLS_ctx.id)), checked: ((__VLS_ctx.modelValue === __VLS_ctx.value)), type: ("radio"), name: ((__VLS_ctx.name)), value: ((__VLS_ctx.value)), disabled: ((__VLS_ctx.disabled)), ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.radioTheme.input))) }, });
    __VLS_elementAsFunction(__VLS_intrinsicElements.button, __VLS_intrinsicElements.button)({ ...{ class: ((__VLS_ctx.cn(__VLS_ctx.radioTheme.button.base, __VLS_ctx.radioTheme.button.variant[__VLS_ctx.variant], props.class))) }, });
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            radioTheme: radioTheme,
            restProps: restProps,
            modelValue: modelValue,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
;
