/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { RangeCalendarCell, useForwardProps, } from "radix-vue";
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { useRangeCalender } from "./RangeCalenderStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const restProps = computed(() => {
    const { class: _, ...rest } = props;
    return rest;
});
const forwardProps = useForwardProps(restProps);
const { dayShape } = useRangeCalender();
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.RangeCalendarCell;
    /** @type { [typeof __VLS_components.RangeCalendarCell, typeof __VLS_components.RangeCalendarCell, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({ ...(__VLS_ctx.forwardProps), ...{ class: ((__VLS_ctx.cn('relative p-0 text-center text-sm focus-within:relative focus-within:z-20 [&:has([data-selected])]:bg-metal-50 first:[&:has([data-selected])]:rounded-l-none last:[&:has([data-selected])]:rounded-r-none', __VLS_ctx.dayShape === 'circle'
                ? '[&:has([data-selected][data-selection-end])]:rounded-r-full [&:has([data-selected][data-selection-start])]:rounded-l-full'
                : '[&:has([data-selected][data-selection-end])]:rounded-r-md [&:has([data-selected][data-selection-start])]:rounded-l-md', 
            // dark
            'dark:[&:has([data-selected])]:bg-metal-800', props.class))) }, }));
    const __VLS_2 = __VLS_1({ ...(__VLS_ctx.forwardProps), ...{ class: ((__VLS_ctx.cn('relative p-0 text-center text-sm focus-within:relative focus-within:z-20 [&:has([data-selected])]:bg-metal-50 first:[&:has([data-selected])]:rounded-l-none last:[&:has([data-selected])]:rounded-r-none', __VLS_ctx.dayShape === 'circle'
                ? '[&:has([data-selected][data-selection-end])]:rounded-r-full [&:has([data-selected][data-selection-start])]:rounded-l-full'
                : '[&:has([data-selected][data-selection-end])]:rounded-r-md [&:has([data-selected][data-selection-start])]:rounded-l-md', 
            // dark
            'dark:[&:has([data-selected])]:bg-metal-800', props.class))) }, }, ...__VLS_functionalComponentArgsRest(__VLS_1));
    var __VLS_6 = {};
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            RangeCalendarCell: RangeCalendarCell,
            cn: cn,
            forwardProps: forwardProps,
            dayShape: dayShape,
        };
    },
    __typeProps: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
});
export default {};
;
