/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { useVModel } from "@vueuse/core";
import { computed } from "vue";
import { cn } from "../../utils/cn";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const emits = defineEmits();
const restProps = computed(() => {
    const { class: _, value, ...delegated } = props;
    return delegated;
});
const modelValue = useVModel(props, "modelValue", emits, {
    passive: true,
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.textarea)({ ...{ onInput: (...[$event]) => {
                __VLS_ctx.modelValue = $event.target.value;
            } }, value: ((__VLS_ctx.modelValue)), ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn('flex min-h-20 w-full rounded-md border border-metal-100 bg-white px-3 py-2 text-body-4 ring-offset-2 placeholder:text-metal-300 focus-visible:border-metal-600 focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-metal-200 focus-visible:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-50 dark:border-metal-500 dark:bg-metal-900 dark:text-white dark:placeholder:text-metal-300 dark:focus-visible:border-metal-100 dark:focus-visible:ring-metal-700 dark:focus-visible:ring-offset-metal-900', props.class))) }, });
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            restProps: restProps,
            modelValue: modelValue,
        };
    },
    __typeEmits: {},
    __typeProps: {},
});
export default (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
});
;
