/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { TooltipArrow as TooltipIndicator, } from "radix-vue";
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { toolTipTheme } from "./tooltipTheme";
import { useTooltip } from "./useTooltipStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = defineProps();
const restProps = computed(() => {
    const { class: _, ...rest } = props;
    return rest;
});
const { color } = useTooltip();
const __VLS_fnComponent = (await import('vue')).defineComponent({});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.TooltipIndicator;
    /** @type { [typeof __VLS_components.TooltipIndicator, typeof __VLS_components.TooltipIndicator, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({ ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.toolTipTheme.arrowColor[__VLS_ctx.color], props.class))) }, }));
    const __VLS_2 = __VLS_1({ ...(__VLS_ctx.restProps), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.toolTipTheme.arrowColor[__VLS_ctx.color], props.class))) }, }, ...__VLS_functionalComponentArgsRest(__VLS_1));
    var __VLS_6 = {};
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            TooltipIndicator: TooltipIndicator,
            cn: cn,
            toolTipTheme: toolTipTheme,
            restProps: restProps,
            color: color,
        };
    },
    __typeProps: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeProps: {},
});
export default {};
;
