/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { AccordionRoot, useForwardPropsEmits, } from "radix-vue";
import { computed, onMounted, ref } from "vue";
import { useProvideAccordionStore } from "./useAccordionStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    type: "single",
});
const emits = defineEmits();
const restProps = computed(() => {
    const { flush, ...rest } = props;
    return rest;
});
const forwardProps = useForwardPropsEmits(restProps, emits);
const changedFlushProps = computed(() => {
    return props.flush;
});
useProvideAccordionStore(changedFlushProps);
const mounted = ref(false);
onMounted(() => {
    mounted.value = true;
});
const __VLS_withDefaultsArg = (function (t) { return t; })({
    type: "single",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    if (__VLS_ctx.mounted) {
        const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.AccordionRoot;
        /** @type { [typeof __VLS_components.AccordionRoot, typeof __VLS_components.AccordionRoot, ] } */
        // @ts-ignore
        const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({ ...(__VLS_ctx.forwardProps), }));
        const __VLS_2 = __VLS_1({ ...(__VLS_ctx.forwardProps), }, ...__VLS_functionalComponentArgsRest(__VLS_1));
        var __VLS_6 = {};
        __VLS_nonNullable(__VLS_5.slots).default;
        const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    }
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            AccordionRoot: AccordionRoot,
            forwardProps: forwardProps,
            mounted: mounted,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
;
