/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { cn } from "../../utils/cn";
import { carouselTheme } from "./carouselTheme";
import CarouselViewport from "./CarouselViewport.vue";
import { useProvideCarousel } from "./useCarousel";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    orientation: "horizontal",
});
const emits = defineEmits();
const { canScrollNext, canScrollPrev } = useProvideCarousel(props, emits);
const __VLS_exposed = {
    canScrollNext,
    canScrollPrev,
};
defineExpose({
    canScrollNext,
    canScrollPrev,
});
const __VLS_withDefaultsArg = (function (t) { return t; })({
    orientation: "horizontal",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    __VLS_elementAsFunction(__VLS_intrinsicElements.div, __VLS_intrinsicElements.div)({ ...{ class: ((__VLS_ctx.cn(__VLS_ctx.carouselTheme.carouselContainer, props.class))) }, });
    // @ts-ignore
    [CarouselViewport, CarouselViewport,];
    // @ts-ignore
    const __VLS_0 = __VLS_asFunctionalComponent(CarouselViewport, new CarouselViewport({ viewPortClass: ((props.viewPortClass)), }));
    const __VLS_1 = __VLS_0({ viewPortClass: ((props.viewPortClass)), }, ...__VLS_functionalComponentArgsRest(__VLS_0));
    var __VLS_5 = {};
    __VLS_nonNullable(__VLS_4.slots).default;
    const __VLS_4 = __VLS_pickFunctionalComponentCtx(CarouselViewport, __VLS_1);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            cn: cn,
            carouselTheme: carouselTheme,
            CarouselViewport: CarouselViewport,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {
            ...__VLS_exposed,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
;
