/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { DialogRoot, useForwardPropsEmits, } from "radix-vue";
import { computed } from "vue";
import { useProvideNotification } from "./useNotification";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    position: "bottomRight",
});
const restProps = computed(() => {
    const { position, ...rest } = props;
    return rest;
});
const emits = defineEmits();
const forwardProps = useForwardPropsEmits(restProps, emits);
const changedPositionValue = computed(() => {
    return props.position;
});
useProvideNotification(changedPositionValue);
const __VLS_withDefaultsArg = (function (t) { return t; })({
    position: "bottomRight",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.DialogRoot;
    /** @type { [typeof __VLS_components.DialogRoot, typeof __VLS_components.DialogRoot, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({ ...(__VLS_ctx.forwardProps), }));
    const __VLS_2 = __VLS_1({ ...(__VLS_ctx.forwardProps), }, ...__VLS_functionalComponentArgsRest(__VLS_1));
    var __VLS_6 = {};
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            DialogRoot: DialogRoot,
            forwardProps: forwardProps,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
;
