/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { PopoverContent, PopoverPortal, useForwardPropsEmits, } from "radix-vue";
import { computed } from "vue";
import { cn } from "../../utils/cn";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
defineOptions({
    inheritAttrs: false,
});
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    align: "center",
    sideOffset: 4,
    side: "bottom",
});
const emits = defineEmits();
const restProps = computed(() => {
    const { class: _, side, ...rest } = props;
    return rest;
});
const forwardPropsAndEmits = useForwardPropsEmits(restProps, emits);
const __VLS_withDefaultsArg = (function (t) { return t; })({
    align: "center",
    sideOffset: 4,
    side: "bottom",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.PopoverPortal;
    /** @type { [typeof __VLS_components.PopoverPortal, typeof __VLS_components.PopoverPortal, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({}));
    const __VLS_2 = __VLS_1({}, ...__VLS_functionalComponentArgsRest(__VLS_1));
    const __VLS_6 = __VLS_resolvedLocalAndGlobalComponents.PopoverContent;
    /** @type { [typeof __VLS_components.PopoverContent, typeof __VLS_components.PopoverContent, ] } */
    // @ts-ignore
    const __VLS_7 = __VLS_asFunctionalComponent(__VLS_6, new __VLS_6({ side: ((props.side)), ...({ ...__VLS_ctx.forwardPropsAndEmits, ...__VLS_ctx.$attrs }), ...{ class: ((__VLS_ctx.cn('z-50 rounded-xl bg-white p-4 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 dark:bg-metal-900', props.class))) }, }));
    const __VLS_8 = __VLS_7({ side: ((props.side)), ...({ ...__VLS_ctx.forwardPropsAndEmits, ...__VLS_ctx.$attrs }), ...{ class: ((__VLS_ctx.cn('z-50 rounded-xl bg-white p-4 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2 dark:bg-metal-900', props.class))) }, }, ...__VLS_functionalComponentArgsRest(__VLS_7));
    var __VLS_12 = {};
    __VLS_nonNullable(__VLS_11.slots).default;
    const __VLS_11 = __VLS_pickFunctionalComponentCtx(__VLS_6, __VLS_8);
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            PopoverContent: PopoverContent,
            PopoverPortal: PopoverPortal,
            cn: cn,
            forwardPropsAndEmits: forwardPropsAndEmits,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
;
