import { createInjectionState } from "@vueuse/core";
import {} from "vue";
const rangeCalendarStoreKey = "range-calendar-store";
const [useProvideRangeCalender, useInjectRangeCalendar] = createInjectionState((dayShape) => {
    return { dayShape };
}, { injectionKey: rangeCalendarStoreKey });
function useRangeCalender() {
    const rangeCalendarState = useInjectRangeCalendar();
    if (!rangeCalendarState)
        throw new Error("useRangeCalender must be used within a <RangeCalendar /> Component");
    return rangeCalendarState;
}
export { useProvideRangeCalender, useRangeCalender };
