/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { TooltipProvider, TooltipRoot, useForwardPropsEmits, } from "radix-vue";
import { computed } from "vue";
import { useProvideTooltip } from "./useTooltipStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    color: "primary",
});
const emits = defineEmits();
const restProps = computed(() => {
    const { color, ...rest } = props;
    return rest;
});
const forwardPropsAndEmit = useForwardPropsEmits(restProps, emits);
const changedColor = computed(() => {
    return props.color;
});
useProvideTooltip(changedColor);
const __VLS_withDefaultsArg = (function (t) { return t; })({
    color: "primary",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.TooltipProvider;
    /** @type { [typeof __VLS_components.TooltipProvider, typeof __VLS_components.TooltipProvider, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({ delayDuration: ((0)), }));
    const __VLS_2 = __VLS_1({ delayDuration: ((0)), }, ...__VLS_functionalComponentArgsRest(__VLS_1));
    const __VLS_6 = __VLS_resolvedLocalAndGlobalComponents.TooltipRoot;
    /** @type { [typeof __VLS_components.TooltipRoot, typeof __VLS_components.TooltipRoot, ] } */
    // @ts-ignore
    const __VLS_7 = __VLS_asFunctionalComponent(__VLS_6, new __VLS_6({ ...(__VLS_ctx.forwardPropsAndEmit), }));
    const __VLS_8 = __VLS_7({ ...(__VLS_ctx.forwardPropsAndEmit), }, ...__VLS_functionalComponentArgsRest(__VLS_7));
    var __VLS_12 = {};
    __VLS_nonNullable(__VLS_11.slots).default;
    const __VLS_11 = __VLS_pickFunctionalComponentCtx(__VLS_6, __VLS_8);
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            TooltipProvider: TooltipProvider,
            TooltipRoot: TooltipRoot,
            forwardPropsAndEmit: forwardPropsAndEmit,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
;
