/// <reference types=".vue-global-types/vue_3.5_false.d.ts" />
import { TooltipContent, TooltipPortal, useForwardPropsEmits, } from "radix-vue";
import { computed } from "vue";
import { cn } from "../../utils/cn";
import { toolTipTheme } from "./tooltipTheme";
import { useTooltip } from "./useTooltipStore";
const { defineProps, defineSlots, defineEmits, defineExpose, defineModel, defineOptions, withDefaults, } = await import('vue');
defineOptions({
    inheritAttrs: false,
});
let __VLS_typeProps;
const props = withDefaults(defineProps(), {
    sideOffset: 4,
    class: "",
});
const emits = defineEmits();
const delegatedProps = computed(() => {
    const { class: _, ...delegated } = props;
    return delegated;
});
const forwarded = useForwardPropsEmits(delegatedProps, emits);
const { color } = useTooltip();
const __VLS_withDefaultsArg = (function (t) { return t; })({
    sideOffset: 4,
    class: "",
});
const __VLS_fnComponent = (await import('vue')).defineComponent({
    __typeEmits: {},
});
;
let __VLS_functionalComponentProps;
function __VLS_template() {
    const __VLS_ctx = {};
    const __VLS_localComponents = {
        ...{},
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_components;
    const __VLS_localDirectives = {
        ...{},
        ...__VLS_ctx,
    };
    let __VLS_directives;
    let __VLS_styleScopedClasses;
    let __VLS_resolvedLocalAndGlobalComponents;
    const __VLS_0 = __VLS_resolvedLocalAndGlobalComponents.TooltipPortal;
    /** @type { [typeof __VLS_components.TooltipPortal, typeof __VLS_components.TooltipPortal, ] } */
    // @ts-ignore
    const __VLS_1 = __VLS_asFunctionalComponent(__VLS_0, new __VLS_0({}));
    const __VLS_2 = __VLS_1({}, ...__VLS_functionalComponentArgsRest(__VLS_1));
    const __VLS_6 = __VLS_resolvedLocalAndGlobalComponents.TooltipContent;
    /** @type { [typeof __VLS_components.TooltipContent, typeof __VLS_components.TooltipContent, ] } */
    // @ts-ignore
    const __VLS_7 = __VLS_asFunctionalComponent(__VLS_6, new __VLS_6({ ...({ ...__VLS_ctx.forwarded, ...__VLS_ctx.$attrs }), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.toolTipTheme.base, __VLS_ctx.toolTipTheme.color[__VLS_ctx.color], props.class))) }, }));
    const __VLS_8 = __VLS_7({ ...({ ...__VLS_ctx.forwarded, ...__VLS_ctx.$attrs }), ...{ class: ((__VLS_ctx.cn(__VLS_ctx.toolTipTheme.base, __VLS_ctx.toolTipTheme.color[__VLS_ctx.color], props.class))) }, }, ...__VLS_functionalComponentArgsRest(__VLS_7));
    var __VLS_12 = {};
    __VLS_nonNullable(__VLS_11.slots).default;
    const __VLS_11 = __VLS_pickFunctionalComponentCtx(__VLS_6, __VLS_8);
    __VLS_nonNullable(__VLS_5.slots).default;
    const __VLS_5 = __VLS_pickFunctionalComponentCtx(__VLS_0, __VLS_2);
    var __VLS_slots;
    var __VLS_inheritedAttrs;
    const __VLS_refs = {};
    var $refs;
    return {
        slots: __VLS_slots,
        refs: $refs,
        attrs: {},
    };
}
;
const __VLS_self = (await import('vue')).defineComponent({
    setup() {
        return {
            TooltipContent: TooltipContent,
            TooltipPortal: TooltipPortal,
            cn: cn,
            toolTipTheme: toolTipTheme,
            forwarded: forwarded,
            color: color,
        };
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
const __VLS_component = (await import('vue')).defineComponent({
    setup() {
        return {};
    },
    __typeEmits: {},
    __typeProps: {},
    props: {},
});
export default {};
;
